Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFrame.Shape

    java.lang.Object
      java.lang.Enum<QFrame.Shape>
          com.trolltech.qt.gui.QFrame.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFrame.Shape>

Enclosing class:
  QFrame

    public static enum QFrame.Shape

extends java.lang.Enum<QFrame.Shape>
implements QtEnumerator

This enum type defines the shapes of frame available.

When it does not call `QStyle`, Shape interacts with QFrame::Shadow, the `lineWidth` and the `midLineWidth` to create the total result. See the picture of the frames in the main class documentation.

See Also:
  `QFrame::Shadow`, `QFrame::style`, `QStyle::drawPrimitive`

Enum Constant Summary
`Box` `QFrame` draws a box around its contents
`HLine` `QFrame` draws a horizontal line that frames nothing (useful as separator)
`NoFrame` `QFrame` draws nothing
`Panel` `QFrame` draws a panel to make the contents appear raised or sunken
`StyledPanel` draws a rectangular panel with a look that depends on the current GUI style.
`VLine` `QFrame` draws a vertical line that frames nothing (useful as separator)
`WinPanel` draws a rectangular panel that can be raised or sunken like those in Windows 95.

Method Summary
`static QFrame.Shape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.Shape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFrame.Shape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoFrame

    public static final QFrame.Shape NoFrame

  `QFrame` draws nothing

### Box

    public static final QFrame.Shape Box

  `QFrame` draws a box around its contents

### Panel

    public static final QFrame.Shape Panel

  `QFrame` draws a panel to make the contents appear raised or sunken

### WinPanel

    public static final QFrame.Shape WinPanel

  draws a rectangular panel that can be raised or sunken like those in Windows 95. Specifying this shape sets the line width to 2 pixels. `WinPanel` is provided for compatibility. For GUI style independence we recommend using `StyledPanel` instead.

### HLine

    public static final QFrame.Shape HLine

  `QFrame` draws a horizontal line that frames nothing (useful as separator)

### VLine

    public static final QFrame.Shape VLine

  `QFrame` draws a vertical line that frames nothing (useful as separator)

### StyledPanel

    public static final QFrame.Shape StyledPanel

  draws a rectangular panel with a look that depends on the current GUI style. It can be raised or sunken.

Method Detail

### values

    public static final QFrame.Shape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFrame.Shape c : QFrame.Shape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFrame.Shape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.Shape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD